Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.ha.framework.interfaces
Interface HARMIServer

All Superinterfaces:
  Remote

All Known Implementing Classes:
  HARMIServerImpl

public interface HARMIServer
extends Remote

When using HA-RMI, the RMI communication end-point on the server-side is an instance of this class. All invocations are sent through this servant that will route the call to the appropriate object and call the appropriate Java method.

Version:
  $Revision: 1.6 $

  Revisions:

Author:
  Sacha Labourey, Bill Burke

Field Summary
`static Hashtable` | `rmiServers`

Method Summary
`Object` | `getLocal()` Get local stub for this service.
`List` | `getReplicants()` Returns a list of node stubs that are current replica of this service.
`HARMIResponse` | `invoke(long tag, org.jboss.invocation.MarshalledInvocation mi)` Performs an invocation through this HA-RMI for the target object hidden behind it.

Field Detail

### rmiServers

    public static final Hashtable rmiServers

Method Detail

### invoke

    public HARMIResponse invoke(long tag,
                                org.jboss.invocation.MarshalledInvocation mi)
                         throws Exception

  Performs an invocation through this HA-RMI for the target object hidden behind it.

  Throws:
    `Exception`

### getReplicants

    public List getReplicants()
                       throws Exception

  Returns a list of node stubs that are current replica of this service.

  Throws:
    `Exception`

### getLocal

    public Object getLocal()
                    throws Exception

  Get local stub for this service.

  Throws:
    `Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.